/* PWM mit FOR-Schleife, IF ELSE und Poti
 */
#include <XMC1100-Lib.h>		// Hilfsfunktionen fuer XMC1100

uint16_t i;						// Laufvariable
uint16_t adc_wert; 				// Wert vom AD-Converter 16 Bit unsigned
int main(void)					// Hauptprogramm
{
  port_init(P0,OUTP);			// Port0 auf Ausgabe programmieren
  adc_init();					// Analog-Digital-Converter initialisieren
  while(1U)						// Endlosschleife, immer bei Controllern
  {
    for (i=0;i!=255;i++)					// Schleife für PWM-Signal
	  {
	  adc_wert = adc_in(0)>>4;				// 8-Bit-Wert vom ADC
	  port_write (P0,adc_wert<<2);			// ausgeben um 2 Bits nach links verschoben
	  if (i < adc_wert)	bit_write (P0,0,1); // PWM-Signal mit Tastgrad ADC-Wert erzeugen
				 else 	bit_write (P0,0,0);
	  }
  }//while
}//main
