/*
 PWM-Tastgrad mit Poti A0 einstellen
 Ausgabe PWM an P0.6
 */

#include <XMC1100-Lib.h>			// Hilfsfunktionen für XMC1100

int main(void)						// Hauptprogramm
{
  port_init(P0,OUTP);				// Port0 auf Ausgabe, nicht notwendig für PWM
  pwm1_init();						// PWM1 initialisieren (an P0.6)
  pwm1_start();						// Ausgabe starten
  adc_init();						// ADC initialisieren (Poti links)
  while(1U)							// Endlosschleife, immer bei Controllern
  {
	  pwm1_duty_cycle(adc_in(0)>>4);// 8 Bit des 12-Bit-ADU-Wertes für Tastgrad
  }//while
}//main

